	SUBROUTINE SO_IFPT  ( rimnem, cimnem, iret )
C************************************************************************
C* SO_IFPT								*
C*									*
C* This subroutine prints the interface values arrays to the decoder	*
C* log if the verbosity level is 3 or higher.				*
C*									*
C* SO_IFPT  ( RIMNEM, CIMNEM, IRET )                                    *
C*									*
C* Input parameters:                                                    *
C*      RIVALS (*)      REAL            Real Interface data values array*
C*      CIVALS (*)      CHAR*           Character interface data values *
C*                                      array                           *
C*      RIMNEM (*)      CHAR*           Interface mnemonics for reals   *
C*      CIMNEM (*)      CHAR*           Interface mnemonics for chars   *
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code 			*
C*                                       0 = Normal return              *
C*                                       1 = Problems                   *
C*									*
C**									*
C* Log:									*
C* D. Kidwell/NCEP	10/97	Adapted from AF_IFPT			*
C* R. Hollern/NCEP	 3/98	Changes based on LS_IFPT                *
C* R. Hollern/NCEP	 1/99	Added interface menemonic arrays to     *
C*                              calling sequence                        *
C* R. Hollern/NCEP      10/00   Moved code to print the raw report to   *
C*                              main routine. Added call to DC_IFPR.    *
C************************************************************************
	INCLUDE		'GEMPRM.PRM'
	INCLUDE		'socmn.cmn'
C*
	CHARACTER	rimnem (NRIMN)*8,  cimnem (NCIMN)*8
C------------------------------------------------------------------------
	iret = 0
        loglvl = 3
C
C*	Print all of the single-level character interface values
C*	that are not missing.
C
	DO jj = 1, NCIMN
	    IF  ( civals ( jj ) (1:1) .ne. ' ' )  THEN
		logmsg = cimnem ( jj )  //  ':  '  //
     +			 civals ( jj )
		CALL DC_WLOG  ( loglvl, 'SO', 1, logmsg (1:50), ierwlg )
	    END IF
	END DO
C
C*      Print to the decoder log all of the real single-level interface
C*      values that are not missing.
C
        CALL DC_IFPR ( loglvl, rimnem, rivals, NRSLMN, ierf )
C
C*	Print all of the multi-level interface values.
C
	IF  ( rivals ( irnpts ) .gt. 0.0 )  THEN
C
	    WRITE ( UNIT = logmsg, FMT = '( 7A10 )' )
     +		rimnem ( irnpts ),
     +		rimnem ( irslat (1) ), rimnem ( irslon (1) ),
     +		rimnem ( irpres (1) ), rimnem ( irtmdb (1) ),
     +		rimnem ( irwdir (1) ), rimnem ( irwdsp (1) )
C 
	    CALL DC_WLOG  ( loglvl, 'SO', 1, logmsg (1:70), ierwlg )
C 
	    WRITE ( UNIT = logmsg, FMT = '( 7F10.2 )' )
     +		rivals ( irnpts ),
     +		rivals ( irslat (1) ), rivals ( irslon (1) ),
     +		rivals ( irpres (1) ), rivals ( irtmdb (1) ),
     +		rivals ( irwdir (1) ), rivals ( irwdsp (1) ) 
C 
	    CALL DC_WLOG  ( loglvl, 'SO', 1, logmsg (1:70), ierwlg )
C 
	    IF  ( rivals ( irnpts ) .gt. 1.0 )  THEN
		DO jj = 2, rivals ( irnpts )
		    WRITE ( UNIT = logmsg,
     +			    FMT = '( 10X, 6F10.2 )' )
     +		     rivals ( irslat ( jj ) ), rivals ( irslon ( jj ) ),
     +		     rivals ( irpres ( jj ) ), rivals ( irtmdb ( jj ) ),
     +		     rivals ( irwdir ( jj ) ), rivals ( irwdsp ( jj ) )
C
		    CALL DC_WLOG  ( loglvl, 'SO', 1, logmsg (1:70), ierwlg )
C
		END DO
	    END IF
        END IF
C*
	RETURN
        END
